> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Knowledge

> Knowledge retrieval (keyword / vector / hybrid).



## OpenAPI

````yaml /api-reference/openapi-oss.json post /api/v1/knowledge/search
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/knowledge/search:
    post:
      tags:
        - knowledge
      summary: Search Knowledge
      description: Knowledge retrieval (keyword / vector / hybrid).
      operationId: search_knowledge_route_api_v1_knowledge_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KnowledgeSearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_KnowledgeSearchResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KnowledgeSearchRequest:
      properties:
        query:
          type: string
          maxLength: 2000
          minLength: 1
          title: Query
        method:
          type: string
          enum:
            - keyword
            - vector
            - hybrid
          title: Method
          default: hybrid
        top_k:
          type: integer
          maximum: 100
          minimum: 1
          title: Top K
          default: 10
        score_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Score Threshold
        include_content:
          type: boolean
          title: Include Content
          default: false
        app_id:
          type: string
          title: App Id
          default: default
        project_id:
          type: string
          title: Project Id
          default: default
      type: object
      required:
        - query
      title: KnowledgeSearchRequest
      description: Request body for POST /search.
    SuccessEnvelope_KnowledgeSearchResponse_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/KnowledgeSearchResponse'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[KnowledgeSearchResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KnowledgeSearchResponse:
      properties:
        hits:
          items:
            $ref: '#/components/schemas/SearchHitDTO'
          type: array
          title: Hits
        total:
          type: integer
          title: Total
        took_ms:
          type: number
          title: Took Ms
      type: object
      required:
        - hits
        - total
        - took_ms
      title: KnowledgeSearchResponse
      description: Response for POST /search.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SearchHitDTO:
      properties:
        topic_id:
          type: string
          title: Topic Id
        category_id:
          type: string
          title: Category Id
        topic_name:
          type: string
          title: Topic Name
        topic_path:
          type: string
          title: Topic Path
        depth:
          type: integer
          title: Depth
        summary:
          type: string
          title: Summary
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        score:
          type: number
          title: Score
        retrieval_method:
          type: string
          title: Retrieval Method
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        document:
          $ref: '#/components/schemas/DocumentContextDTO'
      type: object
      required:
        - topic_id
        - category_id
        - topic_name
        - topic_path
        - depth
        - summary
        - content
        - score
        - retrieval_method
        - source
        - document
      title: SearchHitDTO
      description: One ranked result from knowledge search.
    DocumentContextDTO:
      properties:
        doc_id:
          type: string
          title: Doc Id
        title:
          type: string
          title: Title
        summary:
          type: string
          title: Summary
      type: object
      required:
        - doc_id
        - title
        - summary
      title: DocumentContextDTO
      description: L1 document metadata attached to every search hit.

````